need to run migrations on mozillians-dev

RESOLVED WORKSFORME

Status

Infrastructure & Operations
WebOps: Other
RESOLVED WORKSFORME
6 years ago
4 years ago

People

(Reporter: aakashd, Assigned: phrawzty)

Tracking

Details

(Reporter)

Description

6 years ago
I just landed a commit that requires migrations to be run on mozillians-dev (and stage and prod once we decide to push to them). Right now, we're getting the following tracebacks when someone goes to edit/profile and their own profile page:

DatabaseError: (1146, "Table 'mozillians_dev_allizom_org.groups_language' doesn't exist")


To get testing underway, can I have the following commands run on mozillians-dev:


1. ./manage.py schemamigration groups --auto
2. ./manage.py migrate groups

Thanks!
I ran an update then ran both manage.py commands

[root@genericadm.private.phx1 mozillians]# bash -x ../update
+ CODE_DIR=/data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians
+ VENDOR_DIR=/data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/vendor
+ LOCALE_DIR=/data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/locale
+ getcode
+ echo -e 'Updating code...'
Updating code...
+ cd /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians
+ git fetch origin -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ git checkout -f origin/master -q
+ git submodule sync -q
+ git submodule update --init --recursive -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ echo -e 'Updating vendor...'
Updating vendor...
+ cd /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/vendor
+ git submodule sync -q
+ git submodule update --init --recursive -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ cd /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/locale
+ find . -name '*.mo' -delete
+ svn up
Updating '.':
At revision 108293.
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ ./compile.sh
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ cd /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians
+ find . -type f -name .gitignore -or -name '*.pyc' -delete
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ cd /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians
+ python -W ignore ./manage.py compress_assets
To turn on cache busting, use settings.CACHEBUST_IMGS
Unchanged files skipped for minification: 10
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ cd /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians
+ python -W ignore manage.py syncdb
Syncing...
Creating tables ...
Installing custom SQL ...
Installing indexes ...
No fixtures found.

Synced:
 > funfactory
 > django.contrib.auth
 > django_sha2
 > django.contrib.contenttypes
 > django.contrib.sessions
 > commonware.response.cookies
 > djcelery
 > session_csrf
 > elasticutils
 > sorl.thumbnail
 > django.contrib.admin
 > bootstrapform
 > south

Not synced (use migrations):
 - users
 - phonebook
 - groups
 - tastypie
(use ./manage.py migrate to migrate these)
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ python -W ignore manage.py migrate
Running migrations for users:
- Nothing to migrate.
 - Loading initial data for users.
No fixtures found.
Running migrations for phonebook:
- Nothing to migrate.
 - Loading initial data for phonebook.
No fixtures found.
Running migrations for groups:
- Nothing to migrate.
 - Loading initial data for groups.
No fixtures found.
Running migrations for tastypie:
- Nothing to migrate.
 - Loading initial data for tastypie.
No fixtures found.
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ cd /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians
+ python -W ignore manage.py update_product_details -f
Product details update forced.
Grabbing list of JSON files from the server from http://svn.mozilla.org/libs/product-details/json/
Updating firefox_primary_builds.json from server
Writing new copy of firefox_primary_builds.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Updating firefox_history_major_releases.json from server
Writing new copy of firefox_history_major_releases.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Updating mobile_history_development_releases.json from server
Writing new copy of mobile_history_development_releases.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Updating firefox_history_stability_releases.json from server
Writing new copy of firefox_history_stability_releases.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Updating thunderbird_history_major_releases.json from server
Writing new copy of thunderbird_history_major_releases.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Updating mobile_history_stability_releases.json from server
Writing new copy of mobile_history_stability_releases.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Updating thunderbird_primary_builds.json from server
Writing new copy of thunderbird_primary_builds.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Updating thunderbird_beta_builds.json from server
Writing new copy of thunderbird_beta_builds.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Updating thunderbird_history_development_releases.json from server
Writing new copy of thunderbird_history_development_releases.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Updating firefox_history_development_releases.json from server
Writing new copy of firefox_history_development_releases.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Updating mobile_details.json from server
Writing new copy of mobile_details.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Updating languages.json from server
Writing new copy of languages.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Updating thunderbird_versions.json from server
Writing new copy of thunderbird_versions.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Updating firefox_versions.json from server
Writing new copy of firefox_versions.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Updating mobile_history_major_releases.json from server
Writing new copy of mobile_history_major_releases.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Updating firefox_beta_builds.json from server
Writing new copy of firefox_beta_builds.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Updating thunderbird_history_stability_releases.json from server
Writing new copy of thunderbird_history_stability_releases.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json.
Writing last-updated timestamp (Mon, 13 Aug 2012 07:46:19 GMT).
Grabbing list of JSON files from the server from http://svn.mozilla.org/libs/product-details/json/regions/
Updating ar.json from server
Writing new copy of ar.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating en-GB.json from server
Writing new copy of en-GB.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating da.json from server
Writing new copy of da.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating be.json from server
Writing new copy of be.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating ku.json from server
Writing new copy of ku.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating mn.json from server
Writing new copy of mn.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating es-MX.json from server
Writing new copy of es-MX.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating es-CL.json from server
Writing new copy of es-CL.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating son.json from server
Writing new copy of son.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating vi.json from server
Writing new copy of vi.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating ko.json from server
Writing new copy of ko.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating et.json from server
Writing new copy of et.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating mk.json from server
Writing new copy of mk.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating th.json from server
Writing new copy of th.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating cs.json from server
Writing new copy of cs.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating sv-SE.json from server
Writing new copy of sv-SE.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating ga-IE.json from server
Writing new copy of ga-IE.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating he.json from server
Writing new copy of he.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating fa.json from server
Writing new copy of fa.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating nso.json from server
Writing new copy of nso.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating hu.json from server
Writing new copy of hu.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating id.json from server
Writing new copy of id.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating lt.json from server
Writing new copy of lt.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating tr.json from server
Writing new copy of tr.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating pl.json from server
Writing new copy of pl.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating ml.json from server
Writing new copy of ml.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating as.json from server
Writing new copy of as.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating si.json from server
Writing new copy of si.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating gd.json from server
Writing new copy of gd.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating sl.json from server
Writing new copy of sl.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating pt-PT.json from server
Writing new copy of pt-PT.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating kn.json from server
Writing new copy of kn.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating fr.json from server
Writing new copy of fr.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating rm.json from server
Writing new copy of rm.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating fy-NL.json from server
Writing new copy of fy-NL.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating sr.json from server
Writing new copy of sr.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating pt-BR.json from server
Writing new copy of pt-BR.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating eu.json from server
Writing new copy of eu.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating sk.json from server
Writing new copy of sk.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating zh-TW.json from server
Writing new copy of zh-TW.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating zh-CN.json from server
Writing new copy of zh-CN.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating mai.json from server
Writing new copy of mai.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating nl.json from server
Writing new copy of nl.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating hr.json from server
Writing new copy of hr.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating bn-IN.json from server
Writing new copy of bn-IN.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating sq.json from server
Writing new copy of sq.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating uk.json from server
Writing new copy of uk.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating el.json from server
Writing new copy of el.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating ro.json from server
Writing new copy of ro.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating ta-LK.json from server
Writing new copy of ta-LK.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating it.json from server
Writing new copy of it.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating ka.json from server
Writing new copy of ka.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating hy-AM.json from server
Writing new copy of hy-AM.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating fi.json from server
Writing new copy of fi.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating oc.json from server
Writing new copy of oc.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating nb-NO.json from server
Writing new copy of nb-NO.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating ca.json from server
Writing new copy of ca.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating nn-NO.json from server
Writing new copy of nn-NO.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating ast.json from server
Writing new copy of ast.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating bn-BD.json from server
Writing new copy of bn-BD.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating mr.json from server
Writing new copy of mr.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating or.json from server
Writing new copy of or.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating pa-IN.json from server
Writing new copy of pa-IN.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating en-US.json from server
Writing new copy of en-US.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating kk.json from server
Writing new copy of kk.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating es-AR.json from server
Writing new copy of es-AR.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating ak.json from server
Writing new copy of ak.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating ru.json from server
Writing new copy of ru.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating lg.json from server
Writing new copy of lg.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating br.json from server
Writing new copy of br.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating de.json from server
Writing new copy of de.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating te.json from server
Writing new copy of te.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating eo.json from server
Writing new copy of eo.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating af.json from server
Writing new copy of af.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating en-ZA.json from server
Writing new copy of en-ZA.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating hi-IN.json from server
Writing new copy of hi-IN.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating bg.json from server
Writing new copy of bg.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating zu.json from server
Writing new copy of zu.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating is.json from server
Writing new copy of is.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating ta.json from server
Writing new copy of ta.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating es-ES.json from server
Writing new copy of es-ES.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating gl.json from server
Writing new copy of gl.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating lv.json from server
Writing new copy of lv.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating gu-IN.json from server
Writing new copy of gu-IN.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Updating cy.json from server
Writing new copy of cy.json to /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/lib/product_details_json/regions/.
Writing last-updated timestamp (Mon, 02 May 2011 22:54:49 GMT).
Product Details update run complete.
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ cd /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians
+ git rev-parse HEAD
[2012-08-15 08:51:38] Running rsync_project
[2012-08-15 08:51:38] [localhost] running: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --delete /data/genericrhel6-dev/src/mozillians-dev.allizom.org/ /data/genericrhel6-dev/www/mozillians-dev.allizom.org/
[2012-08-15 08:51:39] [localhost] finished: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --delete /data/genericrhel6-dev/src/mozillians-dev.allizom.org/ /data/genericrhel6-dev/www/mozillians-dev.allizom.org/ (0.635s)
[2012-08-15 08:51:39] Finished rsync_project (0.636s)
[2012-08-15 08:51:39] Running commit_www
[2012-08-15 08:51:39] [localhost] running: cd /data/genericrhel6-dev/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['mozillians-dev.allizom.org']'
[2012-08-15 08:51:46] [localhost] finished: cd /data/genericrhel6-dev/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['mozillians-dev.allizom.org']' (6.655s)
[localhost] out: [master b5d327f] deploy [mozillians-dev.allizom.org]
[localhost] out: 6 files changed, 10 insertions(+), 8 deletions(-)
[2012-08-15 08:51:46] Finished commit_www (6.655s)
[2012-08-15 08:51:46] Running push_www
[2012-08-15 08:51:46] [generic1.dev.webapp.phx1.mozilla.com] running: /data/bin/update-www.sh mozillians-dev.allizom.org
[2012-08-15 08:51:52] [generic1.dev.webapp.phx1.mozilla.com] finished: /data/bin/update-www.sh mozillians-dev.allizom.org (5.932s)
[generic1.dev.webapp.phx1.mozilla.com] out: Not removing air-dev.allizom.org/air/vendor-local/lib/python/PIL/
[2012-08-15 08:51:52] Finished push_www (5.933s)
[root@genericadm.private.phx1 mozillians]# ./manage.py schemamigration groups --auto
/data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/vendor/lib/python/nose/plugins/manager.py:405: UserWarning: Module djcelery was already imported from /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/vendor/lib/python/djcelery/__init__.pyc, but /usr/lib/python2.6/site-packages is being added to sys.path
  import pkg_resources
Nothing seems to have changed.
[root@genericadm.private.phx1 mozillians]# ./manage.py migrate groups
/data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/vendor/lib/python/nose/plugins/manager.py:405: UserWarning: Module djcelery was already imported from /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/vendor/lib/python/djcelery/__init__.pyc, but /usr/lib/python2.6/site-packages is being added to sys.path
  import pkg_resources
Running migrations for groups:
- Nothing to migrate.
 - Loading initial data for groups.
No fixtures found.

But it seems like nothing ran?

(I am in London and about to head out for the evening, but I can look at it when I get back)
Assignee: server-ops-webops → bburton
Status: NEW → ASSIGNED
(Reporter)

Comment 2

6 years ago
Ah, the first two only create the migration (which was added in the latest commit). We need to run the following commands as well to sync the db to the newly added migration file:

./manage.py syncdb
./manage.py migrate
(Reporter)

Comment 3

6 years ago
Can someone try this again?
(Assignee)

Comment 4

6 years ago
Hello,

Below is the output of the two commands noted above, as run against mozillians-dev :

[dmaher@genericadm.private.phx1 mozillians]$ sudo ./manage.py syncdb
/data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/vendor/lib/python/nose/plugins/manager.py:405: UserWarning: Module djcelery was already imported from /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/vendor/lib/python/djcelery/__init__.pyc, but /usr/lib/python2.6/site-packages is being added to sys.path
  import pkg_resources
Syncing...
Creating tables ...
Installing custom SQL ...
Installing indexes ...
No fixtures found.

Synced:
 > funfactory
 > django.contrib.auth
 > django_sha2
 > django.contrib.contenttypes
 > django.contrib.sessions
 > commonware.response.cookies
 > djcelery
 > session_csrf
 > elasticutils
 > sorl.thumbnail
 > django.contrib.admin
 > bootstrapform
 > south

Not synced (use migrations):
 - users
 - phonebook
 - groups
 - tastypie
(use ./manage.py migrate to migrate these)

[dmaher@genericadm.private.phx1 mozillians]$ sudo ./manage.py migrate
/data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/vendor/lib/python/nose/plugins/manager.py:405: UserWarning: Module djcelery was already imported from /data/genericrhel6-dev/src/mozillians-dev.allizom.org/mozillians/vendor/lib/python/djcelery/__init__.pyc, but /usr/lib/python2.6/site-packages is being added to sys.path
  import pkg_resources
Running migrations for users:
- Nothing to migrate.
 - Loading initial data for users.
No fixtures found.
Running migrations for phonebook:
- Nothing to migrate.
 - Loading initial data for phonebook.
No fixtures found.
Running migrations for groups:
- Nothing to migrate.
 - Loading initial data for groups.
No fixtures found.
Running migrations for tastypie:
- Nothing to migrate.
 - Loading initial data for tastypie.
No fixtures found.
[dmaher@genericadm.private.phx1 mozillians]$
Assignee: bburton → dmaher
(Reporter)

Comment 5

6 years ago
Hey James,

I'm not sure what's going on here. I've added a new field, Languages, to the Groups model. There's a new migration file and we've run schemamigration and migrate. We're still getting tracebacks with the following message:

Traceback (most recent call last):

  File "/data/www/mozillians-dev.allizom.org/mozillians/vendor/src/django/django/core/handlers/base.py", line 111, in get_response
    response = callback(request, *callback_args, **callback_kwargs)

  File "/data/www/mozillians-dev.allizom.org/mozillians/vendor/src/django/django/views/decorators/cache.py", line 88, in _wrapped_view_func
    response = view_func(request, *args, **kwargs)

  File "/data/www/mozillians-dev.allizom.org/mozillians/vendor/src/django/django/contrib/auth/decorators.py", line 19, in _wrapped_view
    return view_func(request, *args, **kwargs)

  File "/data/www/mozillians-dev.allizom.org/mozillians/apps/phonebook/views.py", line 57, in profile
    return render(request, 'phonebook/profile.html', data)

  File "/data/www/mozillians-dev.allizom.org/mozillians/vendor/src/django/django/shortcuts/__init__.py", line 44, in render
    return HttpResponse(loader.render_to_string(*args, **kwargs),

  File "/data/www/mozillians-dev.allizom.org/mozillians/vendor/src/django/django/template/loader.py", line 176, in render_to_string
    return t.render(context_instance)

  File "/data/www/mozillians-dev.allizom.org/mozillians/vendor/src/jingo/jingo/__init__.py", line 189, in render
    return super(Template, self).render(context_dict)

  File "/usr/lib64/python2.6/site-packages/jinja2/environment.py", line 891, in render
    return self.environment.handle_exception(exc_info, True)

  File "/data/www/mozillians-dev.allizom.org/mozillians/apps/phonebook/templates/phonebook/profile.html", line 9, in top-level template code
    {% set nav_profile = 'active' %}

  File "/data/www/mozillians-dev.allizom.org/mozillians/templates/base.html", line 123, in top-level template code
    {% block main_content %}{% endblock %}

  File "/data/www/mozillians-dev.allizom.org/mozillians/apps/phonebook/templates/phonebook/profile.html", line 170, in block "main_content"
    {% if profile.languages.count() %}

  File "/data/www/mozillians-dev.allizom.org/mozillians/vendor/src/django/django/db/models/manager.py", line 120, in count
    return self.get_query_set().count()

  File "/data/www/mozillians-dev.allizom.org/mozillians/vendor/src/django/django/db/models/query.py", line 334, in count
    return self.query.get_count(using=self.db)

  File "/data/www/mozillians-dev.allizom.org/mozillians/vendor/src/django/django/db/models/sql/query.py", line 406, in get_count
    number = obj.get_aggregation(using=using)[None]

  File "/data/www/mozillians-dev.allizom.org/mozillians/vendor/src/django/django/db/models/sql/query.py", line 372, in get_aggregation
    result = query.get_compiler(using).execute_sql(SINGLE)

  File "/data/www/mozillians-dev.allizom.org/mozillians/vendor/src/django/django/db/models/sql/compiler.py", line 754, in execute_sql
    cursor.execute(sql, params)

  File "/data/www/mozillians-dev.allizom.org/mozillians/vendor/src/django/django/db/backends/mysql/base.py", line 86, in execute
    return self.cursor.execute(query, args)

  File "/usr/lib64/python2.6/site-packages/MySQLdb/cursors.py", line 173, in execute
    self.errorhandler(self, exc, value)

  File "/usr/lib64/python2.6/site-packages/MySQLdb/connections.py", line 36, in defaulterrorhandler
    raise errorclass, errorvalue

DatabaseError: (1146, "Table 'mozillians_dev_allizom_org.profile_languages' doesn't exist")

Can you offer some help? Any advice would be great.
(Reporter)

Comment 6

6 years ago
Software is hard when you're just faking it. I didn't add the migration for languages db table to be added to the user profile. Patch landed on mozillians-dev and no tracebacks are being found. Closing this out. Sorry for the mess.
Status: ASSIGNED → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → WORKSFORME
Component: Server Operations: Web Operations → WebOps: Other
Product: mozilla.org → Infrastructure & Operations
You need to log in before you can comment on or make changes to this bug.